IFAPI_Key_Create Struct Reference

`#include <fapi_int.h>`

## Data Fields

enum IFAPI_KEY_CREATE_STATE | state
const char * | keyPath
NODE_STR_T * | path_list
IFAPI_OBJECT | parent
IFAPI_OBJECT | object
IFAPI_KEY_TEMPLATE | public_templ
TPM2B_PUBLIC | public
IFAPI_OBJECT | hierarchy
TPM2B_SENSITIVE_CREATE | inSensitive
TPM2B_DATA | outsideInfo
TPML_PCR_SELECTION | creationPCR
ESYS_TR | handle
const char * | authValue
const char * | policyPath
const IFAPI_PROFILE * | profile
bool | gen_sensitive_random

## Detailed Description

The data structure holding internal state of Fapi_CreateKey.

## Field Documentation

## gen_sensitive_random

bool gen_sensitive_random

Switch whether sensitive ransom data has to be created.

## hierarchy

IFAPI_OBJECT hierarchy

The current used hierarchy for CreatePrimary

## keyPath

const char* keyPath

The pathname from the application

## object

IFAPI_OBJECT object

The current object.

## parent

IFAPI_OBJECT parent

The parent of the key for used for creation.

## path_list

NODE_STR_T* path_list

The computed explicit path

## public

TPM2B_PUBLIC public

The public data of the key

## public_templ

IFAPI_KEY_TEMPLATE public_templ

The template for the keys public data

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h